const menuTrigger = document.querySelectorAll('[open-btn]');
const mobileMenu = document.querySelectorAll('[data-show]');
const closeTrigger = document.querySelectorAll('[close-btn]');
const overlay = document.querySelector('[data-overlay]');

for (let x = 0; x < menuTrigger.length; x++){
    const closeMenu = function(){
        mobileMenu[x].classList.remove('active');
        overlay.classList.remove('active');
    }
    menuTrigger[x].addEventListener('click', function() {
        mobileMenu[x].classList.add('active');
        overlay.classList.add('active');
    })
    closeTrigger[x].addEventListener('click', closeMenu);
    overlay.addEventListener('click', closeMenu)
}
//submenu
const submenu = document.querySelectorAll('.sub-trigger');
    submenu.forEach((menu) => menu.addEventListener('click', toggle));

    function toggle(){
        submenu.forEach((item) => item != this ? item.classList.remove('expand') : null);
        if(this.classList != 'expand'){
            this.classList.toggle('expand')
        }
    }
//progress
function progressBar(progressBarNum, progressStart, progressEnd, speed) {

    let progressBar = document.querySelector('.progress-bar-' + progressBarNum);
    let progressValue = document.querySelector('.progress-value-' + progressBarNum);

    let progress = setInterval(() => {
        progressStart ++;
        progressValue.textContent = `${progressStart}%`
        progressBar.style.background = `conic-gradient(red ${progressStart * 3.6}deg, lightgray 0deg)`

        if(progressStart == progressEnd){
            clearInterval(progress);
        }
    }, speed)

    return progress
}
progressBar(1, 0, 34, 200);
progressBar(2, 0, 6, 300);
progressBar(3, 0, 9 ,400);
progressBar(4, 0, 2, 500);
progressBar(5, 0, 3, 400); 
progressBar(6, 0, 1, 300);
progressBar(7, 0, 38, 200);
progressBar(8, 0, 7, 200);

//slider
const swiper = new Swiper('.swiper', {
    slidesPerView: 1,
    spaceBetween: 30,
    autoHeight: true,
    loop: true,
    breakpoints:{
        992:{
            slidesPerView: 3,
            centeredSlides: true,
        },
        641:{
            slidesPerView: 2,
            centeredSlides: false,
        }
    },
    pagination: {
      el: '.pagination',
    },
    navigation: {
      nextEl: '.button-next',
      prevEl: '.button-prev',
    },
  });
  
  

    